Page({

    /**
     * 页面的初始数据
     */
    data: {
        dialogShow: false,
        dialogId: null,
        dialogContent: null,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    // tab 切换
    tabClickSwitch(event) {
        wx.showToast({
            title: `切换到标签 ${event.detail.title}`,
            icon: 'none',
        });
    },

    // 显示-弹出框
    showDialog(e) {
        console.log('showDialog', e);

        let _this = this
        _this.setData({
            dialogShow: true,
            dialogId: e.currentTarget.dataset.id,
            dialogContent: null
        })
    },

    // 弹出框-通过
    dialogSuccess() {
        let _this = this
        _this.setData({
            dialogShow: false,
        })
    },

    // 弹出框-驳回
    dialogReject() {
        let _this = this
        _this.setData({
            dialogShow: false,
        })
    },

    // 弹出框-输入框：输入内容时触发
    dialogInput(e) {
        let _this = this
        console.log('dialogInput', e.detail);
        _this.setData({
            dialogContent: e.detail,
        })
    },

    // 跳转-预约
    goReservation() {
        wx.navigateTo({
            url: '/pages/meeting/visitorIinvitation/detail/detail?title=预约',
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {
        console.log('onReachBottom');
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    },
    onChange(event) {
        wx.showToast({
            title: `切换到标签 ${event.detail.name}`,
            icon: 'none',
        });
    },
    toCheckFn() {
        wx.reLaunch({
            url: '/pages/meeting/visitorIinvitation/visitorIinvitation',
        })
    }
})